Bug 129161 - Role labels need to come from the DB
Role labels need to come from the DB
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Fanny Augustin
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-08-04 12:18 EDT by Ryan Bloom
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 16:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Bloom 2004-08-04 12:18:20 EDT
Currently, the role labels are static strings in the DB and in the
Role class.  This means that whenever we modify the list of possible
roles, we have to update 2 locations to reflect that change.  The DB
is the authoritative list of roles, the Roles class should load the
possible roles from the DB.

For an example, OrgFactory gets the list of entitlement labels from
the DB.
Comment 1 Ryan Bloom 2004-10-28 16:31:10 EDT
This isn't a bug.  We need to have some way to reference the Roles
that are stored in the DB.  Either that is with static strings used to
do a lookup, or with static objects retreived from the DB.  Either
way, when you add a role to the DB, you will need to also add a line
of code to add that concept to the Java code.  This isn't a big burden
and it is unavoidable, so I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.